html_vignette {rmarkdown} | R Documentation

## Convert to an HTML vignette.

### Description

A HTML vignette is a lightweight alternative to `html_document` suitable for inclusion in packages to be released to CRAN. It reduces the size of a basic vignette from 100k to around 10k.

### Usage

    html_vignette(fig_width = 3, fig_height = 3, dev = "png", css = NULL,
      ...)

### Arguments

`fig_width` | Default width (in inches) for figures
`fig_height` | Default width (in inches) for figures
`dev` | Graphics device to use for figure output (defaults to png)
`css` | One or more css files to include
`...` | Additional arguments passed to `html_document`

### Details

Compared to `html_document`, it:

- never uses retina figures

- has a smaller default figure size

- uses a custom css stylesheet

See the online documentation for additional details on using the `html_vignette` format.

### Value

R Markdown output format to pass to `render`

[Package rmarkdown version 0.9.6 Index]